REMOVEPKG(8)

NOME
removepkg - rimuove i pacchetti Slackware.

SINOSSI
removepkg nomepacchetto

[ ROOT=/mnt ] removepkg [ -copy ] [ -keep ] [ -preserve ] [ -warn ] nomepacchetto

DESCRIZIONE
removepkg rimuove un pacchetto Slackware precedentemente installato, e nel mentre viene visualizzato un report. Un pacchetto puo' essere identificato con il suo nome completo (come lo vedi scritto in /var/log/packages/), oppure dal suo nome base. Per esempio, il pacchetto foo-1.0-i486-1.tgz puo' essere rimosso con uno dei seguenti comandi: removepkg foo-1.0-i486-1.tgz (anche riconosciuti: .tbz, .tlz, .txz) removepkg foo-1.0-i486-1 removepkg foo.tgz removepkg foo Durante la cancellazione dei file, removepkg analizzerà il contenuto degli altri pacchetti installati sul tuo sistema, e cancellerà solamente i file che non sono in comune con altri pacchetti. In modo simile, gli script di installazione per tutti gli altri pacchetti saranno considerati decidendo se cancellare o meno i collegamenti simbolici dal pacchetto.

Rimuovere un pacchetto (tanto quando installandolo) puo' essere pericoloso. Per questa ragione, c'è l'opzione -warn disponibile. Quando la usi, removepkg non rimuoverà file o collegamenti, ma ti mostrerà un output con un elenco dettagliato di cosa succede se tu decidi di rimuovere il pacchetto. E' una buona idea che tu faccia questo (e forse usare less in combinazione per leggere l'output) prima di rimuovere il pacchetto cosi da essere sicuro di salvare ogni cosa che puo' essere importante.

Quando rimuovi un pacchetto, il suo file di indice originale sarà spostato da /var/log/packages a /var/log/removed_packages. Allo stesso modo, lo script di installazione sarà spostato da /var/log/scripts a /var/log/removed_scripts.

OPZIONI

-warn nomepacchetto
    Vengono visualizzati tutti i file e le cartelle che saranno rimosse, ma senza rimuovere il pacchetto.

-preserve nomepacchetto
    Se specificato, l'alberatura completa de pacchetto viene ricostruita in /var/log/setup/tmp/preserved_packages/nomepacchetto.

-copy nomepacchetto
    Crea una copia dei pacchetto sotto /var/log/setup/tmp/preserved_packages/nomepacchetto, ma non lo rimuove. (come usando -warn -preserve)

-keep
    Salva i file intermedi creati da removepkg (delete_list, required_files, uniq_list, del_link_list, required_links, required_list). Utili soprattutto per il debugging.

E' possibile rimuovere un pacchetto da un filesystem diverso da / fornendo a removepkg la variabile d'ambiente ROOT:

ROOT=/mnt removepkg pacchetto

AUTORI
Patrick J. Volkerding <volkerdi@slackware.com>, con miglioramenti di Christian Franke <c.franke@acm.org>

VEDI ANCHE
installpkg(8), makepkg(8), pkgtool(8), upgradepkg(8)